3dfxzone.it ~ SFFT Drivers ~ MesaFX ~ 3D-Analyze ~ 3dfx Headlines ~ 3dfx Cards ~
Home | Profile | Register | Active Topics | Members | Search | GoogleSearch | FAQ | 3dfxzone.it
Save Password
Forgot your Password?

 Software Platforms and Apps
 3D-Analyze and TnL games
 New Topic  Reply to Topic
 Print topic

Author Previous Topic Topic Next Topic  


1 Posts

Posted - 21/05/2009 :  18:27:50  Show Profile  Visit Gaius315's Homepage  Reply with Quote
I'm running a Radeon X800 XT and for another month or so I'm not going to be able to afford a new graphics card. I'm really wanting to play Demigod but my card only supports Pixel Shader 2.0 and Demigod requires 3.0.

At any rate, can someone please help me here? I can't afford an upgrade right now and haven't needed one as I've been able to play every game I've wanted to with no problems until this Pixel Shader 3.0 bull****. Now there are 3 games out that I cannot play that I want to: Demigod, Assassin's Creed, and Lord of the Rings: Conquest. I ended up playing Assassin's Creed on my brother's XBox 360 and I can do without LotR: Conquest until I can upgrade, but I'm dying to play Demigod.

I meet all the other requirements but one little feature (PS 3.0) is holding me back from being able to play. I was ecstatic when I discovered 3D-Analyze because I heard it could emulate Pixel and Vertex Shaders, then I found out it only goes up to 2.0. I know people have asked for PS 3.0 help before and the answer is always the same: "Buy a new graphics card." That doesn't help me, so don't bother posting it. I'm not a complete n00b. I've been building computers since I was 10 yrs old, I'm just ignorant when it comes to certain software situations. Now I know the latest version of 3D-Analyze can't emulate 3.0, but there must be some way around it. I say this because someone released a patch for Bioshock allowing it to be played on Pixel Shader 2.0 cards even though it requires 3.0. If it was done for Bioshock with a simple patch, surely it can be done for other games. I still don't understand why the developers didn't make Pixel Shader 3.0 an OPTIONAL feature instead of required. Why not allow support for 2.0? What harm could it do?

Nonetheless, if anyone has any HELPFUL information that knows about this, it would be much appreciated. Even just a post with a short explanation as to why it was possible with Bioshock but not Demigod or something. My guess is that no one cares to write a patch now since Pixel Shader 3.0 is more common than it was when Bioshock came out. Or are there any plans to work on 3.0 emulation in 3D-Analyze? Thanks in advance. Except to those that state the obvious: "3D-Analyze doesn't support Pixel Shader 3.0" or "Buy a new graphics card" or any of the other useless drivel that no one needs to hear.
  Previous Topic Topic Next Topic  
 New Topic  Reply to Topic
 Print topic
Jump To:


Forum Rules

Legal Info


Contact Us





All trademarks used are properties of their respective owners - Forum Graphics and Contents 2001 - 2014 3dfxzone.it - Forum Engine Snitz Forums